LeopardとApache2.2

MacPortsで入れたApache2.2のapachectlでエラーを吐くようになりました。

/opt/local/apache2/bin/apachectl: line 70: ulimit: open files: cannot modify limit: Invalid argument

ulimitの仕様変更とかでしょうか?70行目で実行されるのは以下。

ULIMIT_MAX_FILES="ulimit -S -n `ulimit -H -n`"

シェルスクリプト(sh)に書いてみると、"ulimit -S -n unlimited"で同じようなエラーが出る事が分かりました。"unlimited"が使えない?

とりあえず、Apache2.2は動いています。

プロフィール

このブログ記事について

このページは、koshigoeが2007年10月27日 20:32に書いたブログ記事です。

ひとつ前のブログ記事は「結局、Leopardを買ってインストールしてしまった」です。

次のブログ記事は「Leopardと/etc/hostsとlookupd」です。

最近のコンテンツはインデックスページで見られます。過去に書かれたものはアーカイブのページで見られます。